<template>
  <div class="my-2">
    <div>
      <!-- <v-card v-if="user.disabled" class="warning mb-4" light>
        <v-card-title>User Disabled</v-card-title>
        <v-card-subtitle>This user has been disabled! Login accesss has been revoked.</v-card-subtitle>
        <v-card-text>
          <v-btn dark @click="user.disabled = false">
            <v-icon left small>mdi-account-check</v-icon>Enable User
          </v-btn>
        </v-card-text>
      </v-card> -->

      <v-card>
        <v-card-title>{{ $t("ProviderEdit.BasicInformation") }}</v-card-title>
        <v-card-text>
          <div class="d-flex flex-column flex-sm-row">
            <div>
              <v-img
                v-if="getProvider.logoURL"
                :src="getProvider.logoURL"
                class="blue-grey lighten-4 rounded elevation-3 mb-2"
                max-width="90"
                max-height="90"
              ></v-img>
              <v-img
                v-else
                src="https://thumbs.dreamstime.com/b/no-image-available-icon-photo-camera-flat-vector-illustration-132483141.jpg"
                class="blue-grey lighten-4 rounded elevation-3 mb-2"
                max-width="90"
                max-height="90"
              ></v-img>
            </div>
            <div class="mb-4"></div>
          </div>
          <div class="d-flex">
            <span class="font-weight-bold">{{ $t("provider.ID") }}</span>
            <span class="mx-1">
              <span>#</span>
              <copy-label :text="$route.params.id" />
            </span>
          </div>
        </v-card-text>
      </v-card>

      <v-expansion-panels v-model="panel" multiple class="mt-3">
        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.Info")
          }}</v-expansion-panel-header>

          <v-expansion-panel-content>
            <div class="mb-2">
              <div class="title">{{ $t("ProviderEdit.Name") }}</div>
              <v-icon size="large">mdi mdi-account</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.name ? getProvider.name : " No available name"
              }}</span>
            </div>

            <v-divider></v-divider>

            <div class="my-2">
              <div class="title">{{ $t("ProviderEdit.Address") }}</div>
              <v-icon size="large">mdi mdi-google-maps</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.address
                  ? getProvider.address
                  : " No available address"
              }}</span>
            </div>

            <v-divider></v-divider>

            <div class="my-2">
              <div class="title">
                {{ $t("ProviderEdit.yearsOfExperience") }}
              </div>
              <v-icon size="large">mdi mdi-book-clock-outline</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.yearsOfExperience
                  ? getProvider.yearsOfExperience
                  : " No available yearsOfExperience"
              }}</span>
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.Actions")
          }}</v-expansion-panel-header>

          <v-expansion-panel-content d-flex>
            <div id="wrab">
              <div>
                <div class="title hovered-title">

                  <v-btn text  >
                        {{ $t("ProviderEdit.AcceptRegistrationRequest") }}
                      </v-btn>
                </div>
              </div>

              <div>
                <div class="title hovered-title">

                  <v-btn text  >
                        {{ $t("ProviderEdit.AcceptEmployeeExchangeRequest") }}
                      </v-btn>
                </div>
              </div>
              <div>
                <div class="title hovered-title">

                  <v-btn text  >
                        {{ $t("ProviderEdit.SendRequestForFinanceDepartment") }}
                      </v-btn>
                </div>
              </div>
              <div>
                <div
                  class="error--text title hovered-title"
                  v-if="!getProvider.isPublished"
                >

                  <v-dialog transition="dialog-top-transition" max-width="600">
                    <template v-slot:activator="{ on, attrs }">
                      <v-btn text  v-bind="attrs" v-on="on">
                        {{ $t("ProviderEdit.AcceptPublish") }}
                      </v-btn>
                    </template>
                    <template v-slot:default="dialog">
                      <v-card>
                        <v-toolbar class="mygrad" dark>{{
                          $t("ProviderEdit.AcceptPublish")
                        }}</v-toolbar>
                        <v-card-text>
                          <h4 class="my-3 #bf87a0--text">
                            {{
                              $t(
                                "ProviderEdit.doYouWantToAcceptPublish"
                              )
                            }}
                          </h4>
                        </v-card-text>
                        <v-card-actions class="justify-end">
                          <v-btn
                            class="mygrad"
                            dark
                            @click="
                              unblockUser(getProvider.id),
                                (dialog.value = false)
                            "
                          >
                            {{ $t("ProviderEdit.accept") }}
                          </v-btn>
                          <v-btn text @click="dialog.value = false">{{
                            $t("common.cancel")
                          }}</v-btn>
                        </v-card-actions>
                      </v-card>
                    </template>
                  </v-dialog>
                </div>
                <div
                  class="error--text title hovered-title"
                  v-if="getProvider.isPublished"
                >
                  <v-dialog transition="dialog-top-transition" max-width="600">
                    <template v-slot:activator="{ on, attrs }">
                      <v-btn text color="error" v-bind="attrs" v-on="on">
                        {{ $t("ProviderEdit.RejectPublish") }}
                      </v-btn>
                    </template>
                    <template v-slot:default="dialog">
                      <v-card>
                        <v-toolbar class="mygrad" dark>{{
                          $t("ProviderEdit.RejectPublish")
                        }}</v-toolbar>
                        <v-card-text>
                          <h4 class="my-3 #bf87a0--text">
                            {{
                              $t(
                                "ProviderEdit.doYouWantToRejectPublish"
                              )
                            }}
                          </h4>
                        </v-card-text>
                        <v-card-actions class="justify-end">
                          <v-btn
                            class="mygrad"
                            dark
                            @click="
                              blockUser(getProvider.id),
                                (dialog.value = false)
                            "
                          >
                            {{ $t("ProviderEdit.reject") }}
                          </v-btn>
                          <v-btn text @click="dialog.value = false">{{
                            $t("common.cancel")
                          }}</v-btn>
                        </v-card-actions>
                      </v-card>
                    </template>
                  </v-dialog>
                </div>
              </div>


              <!-- </div> -->
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.OtherRequests")
          }}</v-expansion-panel-header>
          <v-divider></v-divider>

          <v-expansion-panel-content class="body-2">
            <div class="error--text title mt-3 mb-2">
              {{ $t("ProviderEdit.AcceptPublishPhotos") }}
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </div>
  </div>
</template>

<script>
import CopyLabel from "../../../components/common/CopyLabel";
import { mapActions, mapGetters } from "vuex";
export default {
  components: {
    CopyLabel,
  },
  data() {
    return {
      panel: [1],
      dialog: false,
      deleteDialog: false,
      disableDialog: false,
    };
  },
  mounted() {
    this.fetchSingleProvider(this.$route.params.id);
  },
  methods: {
    ...mapActions("users", ["fetchSingleProvider", "publishProvider"]),
    blockUser(id) {
      this.publishProvider({
        id: id,
        IsPublished: false,
      }).then(() => {
        this.fetchSingleProvider(this.$route.params.id);
      });

    },
    unblockUser(id) {
      this.publishProvider({
        id: id,
        IsPublished: true,
      }).then(() => {
        this.fetchSingleProvider(this.$route.params.id);
      });

    },
  },
  computed: {
    ...mapGetters("users", ["getProvider"]),
  },
};
</script>
<style scoped>
#wrab {
  display: flex !important;
  justify-content: space-between !important;
}
.hovered-title {
  cursor: pointer;
  padding: 20px;
  border-radius: 25px;
}
.hovered-title:hover {
  background-color: rgba(227, 222, 222, 0.667);
  transition: 0.5s ease-in-out;
}
</style>
